namespace Wizard;

public class TutorialUpdateTask : BaseTask
{
	public class TutorialUpdateTaskParam : BaseParam
	{
		public int tutorial_step;

		public int is_skip;
	}

	public TutorialUpdateTask()
	{
		base.type = ApiType.Type.TutorialUpdate;
	}

	public void SetParameter(int tutorial_step, bool isSkip)
	{
		TutorialUpdateTaskParam tutorialUpdateTaskParam = new TutorialUpdateTaskParam();
		tutorialUpdateTaskParam.tutorial_step = tutorial_step;
		tutorialUpdateTaskParam.is_skip = (isSkip ? 1 : 0);
		base.Params = tutorialUpdateTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Data.UserTutorial = new UserTutorial();
		Data.Load.data._userTutorial.Update(base.ResponseData["data"]);
		return num;
	}
}
